GNU bug report logs - #13369
24.1; compile message parsing slow because of omake hack

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mattias Engdegård <mattiase@HIDDEN>; merged with #3700, #9065, #29554; dated Sun, 6 Jan 2013 20:05:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 3700 9065 13369 29554. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 10 Jan 2013 19:34:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 10 14:34:37 2013
Received: from localhost ([127.0.0.1]:54473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TtNtd-0002fa-4P
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2013 14:34:37 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:30257)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TtNtb-0002fK-N4
	for 13369 <at> debbugs.gnu.org; Thu, 10 Jan 2013 14:34:35 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AtkGAG6Zu0+4rw8T/2dsb2JhbABEgXuyFoEIghUBAQQBViMQCzQSFBgNJIgcBboJkEQDiEKacYFYgwc
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="212247911"
Received: from 184-175-15-19.dsl.teksavvy.com (HELO pastel.home)
	([184.175.15.19])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	10 Jan 2013 14:34:27 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id E9FB459230; Thu, 10 Jan 2013 14:34:26 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
Message-ID: <jwvbocwygwk.fsf-monnier+emacs@HIDDEN>
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
	<bc38ybsa8y.fsf@HIDDEN>
	<D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN>
	<edr4lvcn7q.fsf@HIDDEN>
	<jwvy5g32ktc.fsf-monnier+emacs@HIDDEN>
	<147C0505-44B3-4A7B-8328-A7B27D207ABD@HIDDEN>
	<87k3rmpj5a.fsf@HIDDEN>
	<7B5D3D47-4978-498F-905C-CB34B82D8FE1@HIDDEN>
	<87fw2awfm3.fsf@HIDDEN>
	<ABCBA012-9E0B-4247-A518-03557B7D5E1A@HIDDEN>
Date: Thu, 10 Jan 2013 14:34:26 -0500
In-Reply-To: <ABCBA012-9E0B-4247-A518-03557B7D5E1A@HIDDEN> ("Mattias
	=?iso-8859-1?Q?Engdeg=E5rd=22's?= message of "Thu, 10 Jan 2013 19:55:15
	+0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org, Jambunathan K <kjambunathan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

>> Thanks, that was quick.  May be you want to indicate whether you want to
>> assign the copyright to that code FSF so that it could be improved upon
>> by others and distributed with Emacs or GNU ELPA.
> Thank you, but I doubt I could get my employer to sign any copyright
> papers, which to the best of my understanding is required for
> distribution with Emacs. Please correct me if I'm wrong.

Indeed, it's needed, but only very few employers really refuse to sign
the relevant paperwork (which is a disclaimer that they have no
copyright interest in your work on Emacs).

Many employers will need some convincing (and reminding), but if I were
you I wouldn't give up just on the assumption that it can't be done,


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 10 Jan 2013 18:55:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 10 13:55:40 2013
Received: from localhost ([127.0.0.1]:54441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TtNHr-0000mq-PS
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2013 13:55:40 -0500
Received: from smtprelay-b21.telenor.se ([195.54.99.212]:60628)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mattiase@HIDDEN>) id 1TtNHg-0000lt-Ul
	for 13369 <at> debbugs.gnu.org; Thu, 10 Jan 2013 13:55:28 -0500
Received: from ipb2.telenor.se (ipb2.telenor.se [195.54.127.165])
	by smtprelay-b21.telenor.se (Postfix) with ESMTP id 8D941D1C9
	for <13369 <at> debbugs.gnu.org>; Thu, 10 Jan 2013 19:55:16 +0100 (CET)
X-SMTPAUTH-B2: [mategn]
X-SENDER-IP: [85.229.46.85]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Am63AAMO71BV5S5VPGdsb2JhbABEgkGBBoEMgSCFALJ4FgMBAQEBODSCHgEBBAE4Aj8FCwtGQxQGiCYKtDmQPmEDqUs
X-IronPort-AV: E=Sophos;i="4.84,447,1355094000"; d="scan'208";a="479543353"
Received: from c-552ee555.032-29-73746f10.cust.bredbandsbolaget.se
	([85.229.46.85])
	by ipb2.telenor.se with ESMTP; 10 Jan 2013 19:55:16 +0100
Message-Id: <ABCBA012-9E0B-4247-A518-03557B7D5E1A@HIDDEN>
From: =?ISO-8859-1?Q?Mattias_Engdeg=E5rd?= <mattiase@HIDDEN>
To: Jambunathan K <kjambunathan@HIDDEN>
In-Reply-To: <87fw2awfm3.fsf@HIDDEN>
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v936)
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
Date: Thu, 10 Jan 2013 19:55:15 +0100
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
	<bc38ybsa8y.fsf@HIDDEN>
	<D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN>
	<edr4lvcn7q.fsf@HIDDEN>
	<jwvy5g32ktc.fsf-monnier+emacs@HIDDEN>
	<147C0505-44B3-4A7B-8328-A7B27D207ABD@HIDDEN>
	<87k3rmpj5a.fsf@HIDDEN>
	<7B5D3D47-4978-498F-905C-CB34B82D8FE1@HIDDEN>
	<87fw2awfm3.fsf@HIDDEN>
X-Mailer: Apple Mail (2.936)
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.5 (/)

9 jan 2013 kl. 16.17 skrev Jambunathan K:

> Thanks, that was quick.  May be you want to indicate whether you  
> want to
> assign the copyright to that code FSF so that it could be improved  
> upon
> by others and distributed with Emacs or GNU ELPA.

Thank you, but I doubt I could get my employer to sign any copyright
papers, which to the best of my understanding is required for
distribution with Emacs. Please correct me if I'm wrong.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 9 Jan 2013 20:22:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 09 15:22:07 2013
Received: from localhost ([127.0.0.1]:59103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tt29l-0002l1-NO
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2013 15:22:07 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:15129)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Tt29B-0002k1-3C
	for 13369 <at> debbugs.gnu.org; Wed, 09 Jan 2013 15:21:48 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AtkGAG6Zu0+4rw8T/2dsb2JhbABEgXuyFoEIghUBAQQBViMFCws0EhQYDSSIHAW6CZBEA4hCmnGBWIMH
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="212161876"
Received: from 184-175-15-19.dsl.teksavvy.com (HELO pastel.home)
	([184.175.15.19])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	09 Jan 2013 15:20:55 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 9E301592A7; Wed,  9 Jan 2013 15:20:54 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
Message-ID: <jwvpq1e153m.fsf-monnier+emacs@HIDDEN>
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
	<bc38ybsa8y.fsf@HIDDEN>
	<D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN>
	<edr4lvcn7q.fsf@HIDDEN>
	<jwvy5g32ktc.fsf-monnier+emacs@HIDDEN>
	<147C0505-44B3-4A7B-8328-A7B27D207ABD@HIDDEN>
Date: Wed, 09 Jan 2013 15:20:54 -0500
In-Reply-To: <147C0505-44B3-4A7B-8328-A7B27D207ABD@HIDDEN> ("Mattias
	=?iso-8859-1?Q?Engdeg=E5rd=22's?= message of "Wed, 9 Jan 2013 12:11:33
	+0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 13369
Cc: Glenn Morris <rgm@HIDDEN>, 13369 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> I actually wrote a simple regexp-to-rx translator, like rx in reverse,
> just to be able to make sense of the ones in compile.el.  I'd be happy
> to share.

Reminds me of my old lex.el, so I've just added it to GNU ELPA.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 9 Jan 2013 15:17:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 09 10:17:46 2013
Received: from localhost ([127.0.0.1]:58982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TsxPV-0002oP-2B
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2013 10:17:46 -0500
Received: from mail-pb0-f45.google.com ([209.85.160.45]:36452)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <kjambunathan@HIDDEN>) id 1TsxPQ-0002o9-TZ
	for 13369 <at> debbugs.gnu.org; Wed, 09 Jan 2013 10:17:42 -0500
Received: by mail-pb0-f45.google.com with SMTP id mc8so1008060pbc.4
	for <13369 <at> debbugs.gnu.org>; Wed, 09 Jan 2013 07:17:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:from:to:cc:subject:references:date:in-reply-to
	:message-id:user-agent:mime-version:content-type
	:content-transfer-encoding;
	bh=pRZ5QQ1eI5phI6gjcosjbUfMiw++loOkfBM9lWfFEpE=;
	b=MLEPfKRNaDTKcACrTiE8jtBygTogb24zC6Ahhl2LJSMvkOYLJ33OC4WF7OW1KkIGjF
	oPb8lSXtMhBvSiP4fA00UUS7n/K8umgofphkjRDRyl9KhHgkJ6M6Hd4n4JVZJ1KMoujF
	VhjgsCGLXRnpDbqSeMNlB5k/hmsP4JhmXq7YRhUtTt0RIJJGI48pT0UXkDljV6ukq96q
	bJBn0at3ShwVhwtQdlyTs5hhRwydQUc6XruzZ4WBwz65T54dHTqoWTMrPe+da3yltlPr
	nj1zTLFT6jj0BRlOQnQgsM4kybnqEevTjDdX4DHV9k0Q43yZuj91LKuPxHMY4jWn+kO2
	bR+w==
X-Received: by 10.68.223.135 with SMTP id qu7mr132941534pbc.134.1357744644972; 
	Wed, 09 Jan 2013 07:17:24 -0800 (PST)
Received: from debian-6.05 ([115.242.226.118])
	by mx.google.com with ESMTPS id m3sm42982761pav.4.2013.01.09.07.17.20
	(version=TLSv1/SSLv3 cipher=OTHER);
	Wed, 09 Jan 2013 07:17:23 -0800 (PST)
From: Jambunathan K <kjambunathan@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
	<bc38ybsa8y.fsf@HIDDEN>
	<D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN>
	<edr4lvcn7q.fsf@HIDDEN>
	<jwvy5g32ktc.fsf-monnier+emacs@HIDDEN>
	<147C0505-44B3-4A7B-8328-A7B27D207ABD@HIDDEN>
	<87k3rmpj5a.fsf@HIDDEN>
	<7B5D3D47-4978-498F-905C-CB34B82D8FE1@HIDDEN>
Date: Wed, 09 Jan 2013 20:47:08 +0530
In-Reply-To: <7B5D3D47-4978-498F-905C-CB34B82D8FE1@HIDDEN> ("Mattias
	\=\?utf-8\?Q\?Engdeg\=C3\=A5rd\=22's\?\= message of "Wed,
	9 Jan 2013 15:31:06 +0100")
Message-ID: <87fw2awfm3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.8 (-)



Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

Thanks, that was quick.  May be you want to indicate whether you want to
assign the copyright to that code FSF so that it could be improved upon
by others and distributed with Emacs or GNU ELPA.

>> Why not just share, instead of saying that you will be happy to do so.
>
> Sorry, I just assumed that someone already wrote such a thing=20

[OT, The following comment concerns re-builder]

In re-builder, there is a way to convert between various regexp styles.
It is bound to C-c TAB by default.  It is not clear to me, whether
re-builder supports rx-to-regexp conversions.

When I try converting the following regexp (C-h v org-heading-regexp) in
read format to rx format

        "^\\(\\*+\\)\\(?: +\\(.*?\\)\\)?[ \t]*$"

I am seeing that the re-builder translates that to=20

    ,----
    | '()
    `----

with the following message=20

    ,----
    | rx-form: Unknown rx form `nil'
    `----

I am not sure whether that counts as bug.  It is possible that
re-builder doesn't support such translation or that I am using the
interface wrongly.

While,=20

        (xr "^\\(\\*+\\)\\(?: +\\(.*?\\)\\)?[ \t]*$"))

gives me

    (seq bol
         (group
          (one-or-more "*"))
         (opt
          (one-or-more " ")
          (group
           (minimal-match
            (zero-or-more nonl))))
         (zero-or-more
          (any "	" " "))
         eol)

> and that it would be more polished than my amateurish attempt. Here it
> is.

I will let others review the changes.=20=20

Some libraries like org.el use complex regexps.  For someone who wants
to dig deep in to what the regexps amount to, without resorting to
pen-and-paper, one can imagine a utility which overlays or tooltips a
regexp like string with it's rx counterpart.  It could be quite useful.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 9 Jan 2013 14:31:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 09 09:31:57 2013
Received: from localhost ([127.0.0.1]:58159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tswh9-0001cB-FK
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2013 09:31:56 -0500
Received: from smtprelay-b21.telenor.se ([195.54.99.212]:37107)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mattiase@HIDDEN>) id 1Tswh1-0001bt-QN
	for 13369 <at> debbugs.gnu.org; Wed, 09 Jan 2013 09:31:50 -0500
Received: from ipb5.telenor.se (ipb5.telenor.se [195.54.127.168])
	by smtprelay-b21.telenor.se (Postfix) with ESMTP id CE2F0E88EB
	for <13369 <at> debbugs.gnu.org>; Wed,  9 Jan 2013 15:31:31 +0100 (CET)
X-SMTPAUTH-B2: [mategn]
X-SENDER-IP: [85.229.35.241]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AoDSAEl+7VBV5SPxPGdsb2JhbABEgkGBBoIshQCxWQQDfxYDAQEBATg0gh4BAQQBeQULC0ZDFAaIJAq2FJAvYQOPCJpC
X-IronPort-AV: E=Sophos;i="4.84,438,1355094000"; 
	d="el'?scan'208";a="258247385"
Received: from c-f123e555.032-29-73746f10.cust.bredbandsbolaget.se
	([85.229.35.241])
	by ipb5.telenor.se with ESMTP; 09 Jan 2013 15:31:07 +0100
Message-Id: <7B5D3D47-4978-498F-905C-CB34B82D8FE1@HIDDEN>
From: =?ISO-8859-1?Q?Mattias_Engdeg=E5rd?= <mattiase@HIDDEN>
To: Jambunathan K <kjambunathan@HIDDEN>
In-Reply-To: <87k3rmpj5a.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary=Apple-Mail-3--669938581
Mime-Version: 1.0 (Apple Message framework v936)
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
Date: Wed, 9 Jan 2013 15:31:06 +0100
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
	<bc38ybsa8y.fsf@HIDDEN>
	<D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN>
	<edr4lvcn7q.fsf@HIDDEN>
	<jwvy5g32ktc.fsf-monnier+emacs@HIDDEN>
	<147C0505-44B3-4A7B-8328-A7B27D207ABD@HIDDEN>
	<87k3rmpj5a.fsf@HIDDEN>
X-Mailer: Apple Mail (2.936)
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)


--Apple-Mail-3--669938581
Content-Type: text/plain;
	charset=US-ASCII;
	format=flowed
Content-Transfer-Encoding: 7bit

> Why not just share, instead of saying that you will be happy to do so.

Sorry, I just assumed that someone already wrote such a thing and that
it would be more polished than my amateurish attempt. Here it is.

--Apple-Mail-3--669938581
Content-Disposition: attachment;
	filename=xr.el
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="xr.el"
Content-Transfer-Encoding: 7bit

;; xr - convert string regexp to rx notation

(require 'rx)

(defun xr-parse-char-alt ()
  (let ((set nil))
    (when (looking-at "]")
      (forward-char 1)
      (setq set (list "]")))
    (while (not (looking-at "]"))
      (cond
       ;; character class
       ((looking-at (rx "[:" (group (one-or-more letter)) ":]"))
        (let* ((sym (intern (match-string 1)))
               (rx-sym (cond ((eq sym 'unibyte) 'ascii)
                             ((eq sym 'multibyte) 'nonascii)
                             (t sym))))
          (setq set (cons sym set))
          (goto-char (match-end 0))))
       ;; character range
       ((looking-at (rx (not (any "]")) "-" (not (any "]"))))
        (let ((range (match-string 0)))
          ;; We render [0-9] as (any "0-9") instead of (any (?0 . ?9))
          ;; for readability and brevity, and because the latter would
          ;; become (48 . 57) when printed.
          (setq set (cons range set))
          (goto-char (match-end 0))))
       ((looking-at (rx eos))
        (error "unterminated character alternative"))
       ;; plain character (including ^ or -)
       (t
        (setq set (cons (char-to-string (following-char)) set))
        (forward-char 1))))
    ;; FIXME: combine several characters into one string (if there is no "-"),
    ;; like (any "a" "b") -> (any "ab")
    set))

;; Reverse a sequence and concatenate adjacent strings.
(defun xr-rev-join-seq (rev-seq)
  (let ((seq nil))
    (while rev-seq
      (if (and (stringp (car rev-seq)) (stringp (car seq)))
          (setq seq (cons (concat (car rev-seq) (car seq)) (cdr seq)))
        (setq seq (cons (car rev-seq) seq)))
      (setq rev-seq (cdr rev-seq)))
    seq))

(defun xr-parse-seq ()
  (let ((sequence nil))                 ; reversed
    (while (not (looking-at (rx (or "\\|" "\\)" eos))))
      (cond
       ;; nonspecial character
       ((looking-at (rx (not (any "\\*+?.^$["))))
        (forward-char 1)
        (setq sequence (cons (match-string 0) sequence)))
       ;; escaped special
       ((looking-at (rx "\\" (group (any "\\*+?.^$["))))
        (forward-char 2)
        (setq sequence (cons (match-string 1) sequence)))
       ;; group
       ((looking-at (rx "\\("
                        (opt (group "?" (group (zero-or-more digit)) ":"))))
        (let ((question (match-string 1))
              (number (match-string 2))
              (end (match-end 0)))
          (goto-char end)
          (let* ((group (xr-parse-alt))
                 ;; optimise - group has an implicit seq
                 (operand (if (and (listp group) (eq (car group) 'seq))
                              (cdr group)
                            (list group))))
            (when (not (looking-at (rx "\\)")))
              (error "missing \\)"))
            (forward-char 2)
            (let ((item (cond ((not question)           ; plain subgroup
                               (cons 'group operand))
                              ((zerop (length number))  ; shy group
                               group)
                              (t
                               (append (list 'group-n (string-to-number number))
                                       operand)))))
              (setq sequence (cons item sequence))))))
       ;; * ? + (and non-greedy variants)
       ((looking-at (rx (group (any "*?+")) (opt (group "?"))))
        (let ((op (match-string 1))
              (non-greedy (match-string 2)))
          (goto-char (match-end 0))
          (when (null sequence)
            (error "postfix operator without operand"))
          ;; While we could use the same symbols as the operator in the regexp,
          ;; ? needs to be escaped in symbols and isn't very neat, so we
          ;; assume that rx-greedy-flag is set.
          (let* ((sym (cdr (assoc op '(("*" . zero-or-more)
                                       ("+" . one-or-more)
                                       ("?" . opt)))))
                 (operand (car sequence))
                 ;; Optimise when the operand is (seq ...)
                 (item
                  (if (and (listp operand) (eq (car operand) 'seq))
                      (cons sym (cdr operand))
                    (list sym operand))))
            ;; BUG: minimal-match affects everything inside, which is not
            ;; what we want. Either keep track of the stuff inside and insert
            ;; maximal-match as appropriate (messy!) or just use the
            ;; *?, ?? and +? symbols.
            (setq sequence (cons (if non-greedy (list 'minimal-match item) item)
                                 (cdr sequence))))))
       ;; \{..\}
       ((looking-at (rx "\\{" (or (group (one-or-more digit))
                                 (seq
                                  (opt (group (one-or-more digit)))
                                  ","
                                  (opt (group (one-or-more digit)))))
                        "\\}"))
        (when (null sequence)
          (error "repetition without operand"))
        (let ((exactly (match-string 1))
              (lower (match-string 2))
              (upper (match-string 3)))
          (goto-char (match-end 0))
          (let ((op (cond (exactly
                           (list '= (string-to-number exactly)))
                          ((and lower upper)
                           (list 'repeat
                                 (string-to-number lower)
                                 (string-to-number upper)))
                          (lower
                           (list '>= (string-to-number lower)))
                          (upper
                           (list 'repeat 0 (string-to-number upper)))
                          (t
                           (list 'zero-or-more)))))
            (setq sequence (cons (append op (list (car sequence)))
                                 (cdr sequence))))))
       ;; character alternative
       ((looking-at (rx "[" (opt (group "^"))))
        (goto-char (match-end 0))
        ;; FIXME: optimise (any digit) -> digit etc
        (let* ((negated (match-string 1))
               (set (cons 'any (xr-parse-char-alt))))
          (forward-char 1)
          (setq sequence (cons (if negated (list 'not set) set) sequence))))
       ;; backref
       ((looking-at (rx "\\" (group digit)))
        (forward-char 2)
        (setq sequence
              (cons (list 'backref (string-to-number (match-string 1)))
                    sequence)))
       ;; various simple substitutions
       ((looking-at (rx (or "." "$" "^" "\\w" "\\W" "\\`" "\\'" "\\="
                            "\\b" "\\B" "\\<" "\\>" "\\_<" "\\_>")))
        (goto-char (match-end 0))
        (let ((sym (cdr (assoc
                         (match-string 0)
                         '(("." . nonl)
                           ("^" . bol) ("$" . eol)
                           ("\\w" . wordchar) ("\\W" . not-wordchar)
                           ("\\`" . bos) ("\\'" . eos)
                           ("\\=" . point)
                           ("\\b" . word-boundary) ("\\B" . not-word-boundary)
                           ("\\<" . bow) ("\\>" . eow)
                           ("\\_<" . symbol-start) ("\\_>" . symbol-end))))))
          (setq sequence (cons sym sequence))))
       ;; character syntax
       ((looking-at (rx "\\" (group (any "sS")) (group anything)))
        (let ((negated (string-equal (match-string 1) "S"))
              (syntax-code (match-string 2)))
          (goto-char (match-end 0))
          (let ((sym (assoc syntax-code
                            '(("-" . whitespace)
                              ("." . punctuation)
                              ("w" . word)
                              ("_" . symbol)
                              ("(" . open-parenthesis)
                              (")" . close-parenthesis)
                              ("'" . expression-prefix)
                              ("\"" . string-quote)
                              ("$" . paired-delimiter)
                              ("\\" . escape)
                              ("/" . character-quote)
                              ("<" . comment-start)
                              (">" . comment-end)
                              ("|" . string-delimiter)
                              ("!" . comment-delimiter)))))
            (when (not sym)
              (error "unknown syntax code: %s" syntax-code))
            (let ((item (list 'syntax (cdr sym))))
              (setq sequence (cons (if negated (list 'not item) item)
                                   sequence))))))
       ;; character categories
       ((looking-at (rx "\\" (group (any "cC")) (group anything)))
        (let ((negated (string-equal (match-string 1) "C"))
              (category-code (match-string 2)))
          (goto-char (match-end 0))
          (let ((sym (assoc category-code
                            '(("0" . consonant)
                              ("1" . base-vowel)			
                              ("2" . upper-diacritical-mark)		
                              ("3" . lower-diacritical-mark)		
                              ("4" . tone-mark)		        
                              ("5" . symbol)			        
                              ("6" . digit)			        
                              ("7" . vowel-modifying-diacritical-mark)	
                              ("8" . vowel-sign)			
                              ("9" . semivowel-lower)			
                              ("<" . not-at-end-of-line)		
                              (">" . not-at-beginning-of-line)		
                              ("A" . alpha-numeric-two-byte)		
                              ("C" . chinse-two-byte)			
                              ("G" . greek-two-byte)			
                              ("H" . japanese-hiragana-two-byte)	
                              ("I" . indian-tow-byte)			
                              ("K" . japanese-katakana-two-byte)	
                              ("N" . korean-hangul-two-byte)		
                              ("Y" . cyrillic-two-byte)		
                              ("^" . combining-diacritic)		
                              ("a" . ascii)				
                              ("b" . arabic)				
                              ("c" . chinese)				
                              ("e" . ethiopic)				
                              ("g" . greek)				
                              ("h" . korean)				
                              ("i" . indian)				
                              ("j" . japanese)				
                              ("k" . japanese-katakana)		
                              ("l" . latin)				
                              ("o" . lao)				
                              ("q" . tibetan)				
                              ("r" . japanese-roman)			
                              ("t" . thai)				
                              ("v" . vietnamese)			
                              ("w" . hebrew)				
                              ("y" . cyrillic)				
                              ("|" . can-break)))))
            (when (not sym)
              (error "unknown category code: %s" category-code))
            (let ((item (list 'category (cdr sym))))
              (setq sequence (cons (if negated (list 'not item) item)
                                   sequence))))))
       ;; error
       (t
        (let* ((start (point))
               (end (min (+ start 3) (point-max))))
          (error "syntax error: %s" (buffer-substring start end))))))
    (let ((item-seq (xr-rev-join-seq sequence)))
      (if (> (length item-seq) 1)
          (cons 'seq item-seq)
        (car item-seq)))))

(defun xr-parse-alt ()
  (let ((alternatives nil))             ; reversed
    (while (not (looking-at (rx (or "\\)" eos))))
      (setq alternatives (cons (xr-parse-seq) alternatives))
      (when (looking-at (rx "\\|"))
        (forward-char 2)))
    (if (> (length alternatives) 1)
        (cons 'or (reverse alternatives))
      (car alternatives))))

(defun xr (re-string)
  "Convert a regexp string to rx notation."
  (with-temp-buffer
    (insert re-string)
    (goto-char (point-min))
    (let ((rx (xr-parse-alt)))
      (when (looking-at (rx "\\)"))
        (error "unbalanced \\)"))
      rx)))

--Apple-Mail-3--669938581
Content-Type: text/plain;
	charset=US-ASCII;
	format=flowed
Content-Transfer-Encoding: 7bit



--Apple-Mail-3--669938581--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 9 Jan 2013 13:43:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 09 08:43:20 2013
Received: from localhost ([127.0.0.1]:58091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tsvw7-0000Un-LY
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2013 08:43:20 -0500
Received: from mail-pb0-f51.google.com ([209.85.160.51]:52203)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <kjambunathan@HIDDEN>) id 1Tsvvz-0000UP-Kb
	for 13369 <at> debbugs.gnu.org; Wed, 09 Jan 2013 08:43:13 -0500
Received: by mail-pb0-f51.google.com with SMTP id ro12so963996pbb.10
	for <13369 <at> debbugs.gnu.org>; Wed, 09 Jan 2013 05:42:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:from:to:cc:subject:references:date:in-reply-to
	:message-id:user-agent:mime-version:content-type
	:content-transfer-encoding;
	bh=YnKRpMYVTvg8PWlsg+UHDXdKk9Br03H+bUvAjMAaM9k=;
	b=EdPoFqb0GVv+RZ5YIcEjPxyYKueDpc40Y7hBYUmPMUKjnk5bq/g3fwXMXQLLKEZcE6
	eKZmcgrpFIsZPalrjK1j9FIc/HB8OQuCUV53nOjl4csRaoJ8f4iJgSN6EJo6Da6zkMNC
	hwlOV1it2paR0bibS1y0sk5h/W+GaajUYbzfnMeIUzCRtkBCcgrGOLix2FJmivh/QQYl
	NAGuzLQD+R/QCeH7ZVpUp6CMM9ZS54O8Tmi993T4Ar/d3ZVaqatIjNtTQWSW1RWdjVJV
	rvEApX1tUIWHg32kiqbno3Tj49SkUpgw17/yzT4VkcCzyrB5dQgyT23tELrIjYGlHRi/
	7dMw==
X-Received: by 10.68.134.232 with SMTP id pn8mr207422595pbb.47.1357738976052; 
	Wed, 09 Jan 2013 05:42:56 -0800 (PST)
Received: from debian-6.05 ([115.242.226.118])
	by mx.google.com with ESMTPS id i5sm42848767pax.13.2013.01.09.05.42.52
	(version=TLSv1/SSLv3 cipher=OTHER);
	Wed, 09 Jan 2013 05:42:55 -0800 (PST)
From: Jambunathan K <kjambunathan@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
	<bc38ybsa8y.fsf@HIDDEN>
	<D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN>
	<edr4lvcn7q.fsf@HIDDEN>
	<jwvy5g32ktc.fsf-monnier+emacs@HIDDEN>
	<147C0505-44B3-4A7B-8328-A7B27D207ABD@HIDDEN>
Date: Wed, 09 Jan 2013 19:12:41 +0530
In-Reply-To: <147C0505-44B3-4A7B-8328-A7B27D207ABD@HIDDEN> ("Mattias
	\=\?utf-8\?Q\?Engdeg\=C3\=A5rd\=22's\?\= message of "Wed,
	9 Jan 2013 12:11:33 +0100")
Message-ID: <87k3rmpj5a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.8 (-)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> I actually wrote a simple regexp-to-rx translator, like rx in reverse,
> just to be able to make sense of the ones in compile.el. I'd be happy
> to share.

Why not just share, instead of saying that you will be happy to do so.

I personally find rx easy to edit and use.  I am also drifting away from
Emacs lisp regexp to rx.

ps: Someone shared a perl(?)-to-Emacs regexes a couple of months ago and
wanted to include it as part of GNU ELPA.
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 9 Jan 2013 11:12:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 09 06:12:27 2013
Received: from localhost ([127.0.0.1]:57977 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tsta5-0004Ho-CW
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2013 06:12:26 -0500
Received: from smtprelay-b22.telenor.se ([195.54.99.213]:36028)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mattiase@HIDDEN>) id 1Tsta1-0004HT-Tu
	for 13369 <at> debbugs.gnu.org; Wed, 09 Jan 2013 06:12:23 -0500
Received: from ipb3.telenor.se (ipb3.telenor.se [195.54.127.166])
	by smtprelay-b22.telenor.se (Postfix) with ESMTP id 19B03E8C2D
	for <13369 <at> debbugs.gnu.org>; Wed,  9 Jan 2013 12:11:34 +0100 (CET)
X-SMTPAUTH-B2: [mategn]
X-SENDER-IP: [85.229.35.241]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AkGEAH5P7VBV5SPxPGdsb2JhbABEgkGBBocssl8WAwEBAQE4NIIeAQEEATgCPwULC0ZDFAaIJAq2GYxwgz9hA6lK
X-IronPort-AV: E=Sophos;i="4.84,437,1355094000"; d="scan'208";a="262022080"
Received: from c-f123e555.032-29-73746f10.cust.bredbandsbolaget.se
	([85.229.35.241])
	by ipb3.telenor.se with ESMTP; 09 Jan 2013 12:11:34 +0100
Message-Id: <147C0505-44B3-4A7B-8328-A7B27D207ABD@HIDDEN>
From: =?ISO-8859-1?Q?Mattias_Engdeg=E5rd?= <mattiase@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwvy5g32ktc.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v936)
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
Date: Wed, 9 Jan 2013 12:11:33 +0100
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
	<bc38ybsa8y.fsf@HIDDEN>
	<D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN>
	<edr4lvcn7q.fsf@HIDDEN>
	<jwvy5g32ktc.fsf-monnier+emacs@HIDDEN>
X-Mailer: Apple Mail (2.936)
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13369
Cc: Glenn Morris <rgm@HIDDEN>, 13369 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

9 jan 2013 kl. 02.47 skrev Stefan Monnier:

>>> all   no omake   gnu only
>>> 32.7     3.4        0.3      standard code
>>> 6.8     3.4        0.3      repaired regexp (escaped ^)
>>> 3.4     3.4        0.3      COND expression removed
>> OK, thank you. So having fixed the omake ^ issue, basically to me it
>> just seems to be the case that the more entries are in
>> compilation-error-regexp-alist, the slower things get.
>> Maybe we should encourage people to prune it to only the entries they
>> use, or maybe some less common elements should not be there by  
>> default.
>
> Yes, every entry costs time, which is why I've been resisting adding
> more entries and would rather push the problem upstream to convince  
> the
> tools's authors to stick to the standard GNU message format.

Note however that the omake is still special - while its own regexp is
fast and simple, its mere presence in the list causes the remaining
parsing to become twice as slow (as seen from the measurements above).
I'm also still somewhat suspicious of how the hack mutilates other
regexps in ways that may change their meaning.

In addition to fixing the regexp, I suggest omake be disabled by
default because of its impact and since it's somewhat of a special need.

> I think compile.el would benefit from a different regex engine where  
> we
> could do a lex-style union of all regexp into a single automaton.

That would be nice, especially if the result could be a DFA.
I would also suggest switching to rx notation for the regexps.
(The ^ quoting bug is one that would never have occurred with rx,
and that is a very small regexp.)

I actually wrote a simple regexp-to-rx translator, like rx in reverse,
just to be able to make sense of the ones in compile.el. I'd be happy
to share.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.
Merged 3700 9065 13369. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 9 Jan 2013 01:47:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 08 20:47:26 2013
Received: from localhost ([127.0.0.1]:57522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TsklK-0006i3-3r
	for submit <at> debbugs.gnu.org; Tue, 08 Jan 2013 20:47:26 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:41829)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TsklH-0006hp-Bx
	for 13369 <at> debbugs.gnu.org; Tue, 08 Jan 2013 20:47:23 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AtkGAG6Zu0+4rw8T/2dsb2JhbABEgXuyFoEIghUBAQQBViMQCw4mEhQYDSSIHAW6CZBEA4hCmnGBWIMH
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="212102756"
Received: from 184-175-15-19.dsl.teksavvy.com (HELO pastel.home)
	([184.175.15.19])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	08 Jan 2013 20:47:10 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 0CBE759230; Tue,  8 Jan 2013 20:47:09 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
Message-ID: <jwvy5g32ktc.fsf-monnier+emacs@HIDDEN>
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
	<bc38ybsa8y.fsf@HIDDEN>
	<D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN>
	<edr4lvcn7q.fsf@HIDDEN>
Date: Tue, 08 Jan 2013 20:47:09 -0500
In-Reply-To: <edr4lvcn7q.fsf@HIDDEN> (Glenn Morris's message of
	"Tue, 08 Jan 2013 17:40:57 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13369
Cc: Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>,
	13369 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

>>> Thanks. Could you also give the numbers for
>>> compilation-error-regexp-alist containing only `gnu' (assuming that is
>>> the one that is relevant for your test case)?
>> These times are with a slightly different compilation buffer:
>> all   no omake   gnu only
>> 32.7     3.4        0.3      standard code
>> 6.8     3.4        0.3      repaired regexp (escaped ^)
>> 3.4     3.4        0.3      COND expression removed
> OK, thank you. So having fixed the omake ^ issue, basically to me it
> just seems to be the case that the more entries are in
> compilation-error-regexp-alist, the slower things get.
> Maybe we should encourage people to prune it to only the entries they
> use, or maybe some less common elements should not be there by default.

Yes, every entry costs time, which is why I've been resisting adding
more entries and would rather push the problem upstream to convince the
tools's authors to stick to the standard GNU message format.

I think compile.el would benefit from a different regex engine where we
could do a lex-style union of all regexp into a single automaton.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 8 Jan 2013 22:41:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 08 17:41:12 2013
Received: from localhost ([127.0.0.1]:57448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tshr2-0002H3-Of
	for submit <at> debbugs.gnu.org; Tue, 08 Jan 2013 17:41:11 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:42316 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Tshqy-0002Gt-DQ
	for 13369 <at> debbugs.gnu.org; Tue, 08 Jan 2013 17:41:06 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Tshqr-0007va-GP; Tue, 08 Jan 2013 17:40:57 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
	<bc38ybsa8y.fsf@HIDDEN>
	<D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN>
X-Spook: offensive information warfare munitions Merlin enemy of
X-Ran: Z'0RC=K51N@IF4iHF:s#G5RMvfAhOLA\C>cM_},tH:lP"Up+*KgwYYBg+S&4"I{({qJ,_h
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 08 Jan 2013 17:40:57 -0500
In-Reply-To: <D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN> ("Mattias
	=?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Tue, 8 Jan 2013 22:09:52
	+0100")
Message-ID: <edr4lvcn7q.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

Mattias Engdeg=C3=A5rd wrote:

> 8 jan 2013 kl. 21.14 skrev Glenn Morris:
>
>> Thanks. Could you also give the numbers for
>> compilation-error-regexp-alist containing only `gnu' (assuming that is
>> the one that is relevant for your test case)?
>
> These times are with a slightly different compilation buffer:
>
>   all   no omake   gnu only
>  32.7     3.4        0.3      standard code
>   6.8     3.4        0.3      repaired regexp (escaped ^)
>   3.4     3.4        0.3      COND expression removed

OK, thank you. So having fixed the omake ^ issue, basically to me it
just seems to be the case that the more entries are in
compilation-error-regexp-alist, the slower things get.

Maybe we should encourage people to prune it to only the entries they
use, or maybe some less common elements should not be there by default.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 8 Jan 2013 21:40:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 08 16:40:49 2013
Received: from localhost ([127.0.0.1]:57382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tsguc-0008Jt-Ew
	for submit <at> debbugs.gnu.org; Tue, 08 Jan 2013 16:40:48 -0500
Received: from smtprelay-h12.telenor.se ([62.127.194.5]:34497)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mattiase@HIDDEN>) id 1TsguZ-0008Jg-JX
	for 13369 <at> debbugs.gnu.org; Tue, 08 Jan 2013 16:40:44 -0500
Received: from ipb5.telenor.se (ipb5.telenor.se [195.54.127.168])
	by smtprelay-h12.telenor.se (Postfix) with ESMTP id 0305EE8338;
	Tue,  8 Jan 2013 22:09:53 +0100 (CET)
X-SMTPAUTH-B2: [mategn]
X-SENDER-IP: [85.229.44.8]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArvuAJCK7FBV5SwIPGdsb2JhbABEgkGBBoEMgSCFALFeBAOBBhYDAQEBATg0gh4BAQQBOAI/BQsLDjhDFAaIJAqqAY0tkDRhA6lK
X-Suspected-Spam: Yes
X-IronPort-AV: E=Sophos;i="4.84,434,1355094000"; d="scan'208";a="257892975"
Received: from c-082ce555.032-29-73746f10.cust.bredbandsbolaget.se
	([85.229.44.8])
	by ipb5.telenor.se with ESMTP; 08 Jan 2013 22:09:53 +0100
Message-Id: <D12025E5-4091-4305-B166-BF85075A78CC@HIDDEN>
From: =?ISO-8859-1?Q?Mattias_Engdeg=E5rd?= <mattiase@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-Reply-To: <bc38ybsa8y.fsf@HIDDEN>
Content-Type: text/plain; charset=US-ASCII; format=flowed
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v936)
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
Date: Tue, 8 Jan 2013 22:09:52 +0100
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
	<bc38ybsa8y.fsf@HIDDEN>
X-Mailer: Apple Mail (2.936)
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.5 (/)

8 jan 2013 kl. 21.14 skrev Glenn Morris:

> Thanks. Could you also give the numbers for
> compilation-error-regexp-alist containing only `gnu' (assuming that is
> the one that is relevant for your test case)?

These times are with a slightly different compilation buffer:

   all   no omake   gnu only
  32.7     3.4        0.3      standard code
   6.8     3.4        0.3      repaired regexp (escaped ^)
   3.4     3.4        0.3      COND expression removed






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 8 Jan 2013 20:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 08 15:14:46 2013
Received: from localhost ([127.0.0.1]:57279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TsfZN-0006IA-Uj
	for submit <at> debbugs.gnu.org; Tue, 08 Jan 2013 15:14:46 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:40028 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1TsfZ6-0006Ho-ID
	for 13369 <at> debbugs.gnu.org; Tue, 08 Jan 2013 15:14:44 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1TsfYz-0002xL-Uy; Tue, 08 Jan 2013 15:14:22 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
	<0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
X-Spook: Soviet oil Delta Force Montenegro Waco, Texas Compsec
X-Ran: `bd">^:,x%d8)"mEbpyxESmb49DR0U<M%F38w7KMbW8S^F&x3)_|->07Rww1URKdk$/%7r
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 08 Jan 2013 15:14:21 -0500
In-Reply-To: <0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN> ("Mattias
	=?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Mon, 7 Jan 2013 22:50:20
	+0100")
Message-ID: <bc38ybsa8y.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.5 (-----)

Mattias Engdeg=C3=A5rd wrote:

> Here are the times, in seconds, for executing compilation-parse-errors
> far down a large compile buffer (5000 lines, or about 440 KiB),
> with and without omake present in compilation-error-regexp-alist:
>
> omake
> present    absent
> 30.3        3.2     Standard code
>  6.5        3.2     repaired regexp (escaped ^)
>  3.2        3.2     COND expression removed

Thanks. Could you also give the numbers for
compilation-error-regexp-alist containing only `gnu' (assuming that is
the one that is relevant for your test case)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 7 Jan 2013 21:50:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 07 16:50:33 2013
Received: from localhost ([127.0.0.1]:55651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TsKaX-00026R-Hj
	for submit <at> debbugs.gnu.org; Mon, 07 Jan 2013 16:50:33 -0500
Received: from smtprelay-b31.telenor.se ([213.150.131.20]:50492)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mattiase@HIDDEN>) id 1TsKaS-00026B-Ap
	for 13369 <at> debbugs.gnu.org; Mon, 07 Jan 2013 16:50:30 -0500
Received: from ipb2.telenor.se (ipb2.telenor.se [195.54.127.165])
	by smtprelay-b31.telenor.se (Postfix) with ESMTP id 15BC5E9BD6
	for <13369 <at> debbugs.gnu.org>; Mon,  7 Jan 2013 22:50:21 +0100 (CET)
X-SMTPAUTH-B2: [mategn]
X-SENDER-IP: [85.229.35.222]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AtjAAAhC61BV5SPePGdsb2JhbABFgkGBBoEMgSCFALJlFgMBAQEBODSCHgEBBAE4Aj8FCwsOOEMUBogkCrZQjjmBe2EDqTsO
X-IronPort-AV: E=Sophos;i="4.84,427,1355094000"; d="scan'208";a="477895961"
Received: from c-de23e555.032-29-73746f10.cust.bredbandsbolaget.se
	([85.229.35.222])
	by ipb2.telenor.se with ESMTP; 07 Jan 2013 22:50:21 +0100
Message-Id: <0AEEF1C6-8150-4E39-9CD9-30EC963D64D6@HIDDEN>
From: =?ISO-8859-1?Q?Mattias_Engdeg=E5rd?= <mattiase@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-Reply-To: <tp4nittnob.fsf@HIDDEN>
Content-Type: text/plain; charset=US-ASCII; format=flowed
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v936)
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
Date: Mon, 7 Jan 2013 22:50:20 +0100
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
	<tp4nittnob.fsf@HIDDEN>
X-Mailer: Apple Mail (2.936)
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

7 jan 2013 kl. 09.14 skrev Glenn Morris:

> Could you compare the time with the \\^ change to the time with the
> omake part of compilation-parse-errors commented out entirely?

Here are the times, in seconds, for executing compilation-parse-errors
far down a large compile buffer (5000 lines, or about 440 KiB),
with and without omake present in compilation-error-regexp-alist:

omake
present    absent
30.3        3.2     Standard code
  6.5        3.2     repaired regexp (escaped ^)
  3.2        3.2     COND expression removed

In the last case, the entire COND surrounding the faulty regexp was
edited out.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 7 Jan 2013 08:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 07 03:14:46 2013
Received: from localhost ([127.0.0.1]:33602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ts7r2-0001Id-QV
	for submit <at> debbugs.gnu.org; Mon, 07 Jan 2013 03:14:46 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:36440 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Ts7qr-0001IJ-Nr
	for 13369 <at> debbugs.gnu.org; Mon, 07 Jan 2013 03:14:37 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Ts7qm-0001mc-L2; Mon, 07 Jan 2013 03:14:28 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
	<3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
X-Spook: Skipjack IDEA BATF Afghanistan Adriatic ANZUS CBNRC Tony
X-Ran: tjVc`(\5`xp-z==2h272RhNmtnVd">SPL]WZ);Aep|PycpfU$u"eta+M|C.!U*3Prpw~X$
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 07 Jan 2013 03:14:28 -0500
In-Reply-To: <3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN> ("Mattias
	=?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Mon, 7 Jan 2013 02:41:21
	+0100")
Message-ID: <tp4nittnob.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

Mattias Engdeg=C3=A5rd wrote:

> Substantially, but not entirely. (I can try measuring it exactly if
> you want it quantified, but it goes from being unusable to merely
> annoyingly sluggish.)

It might be useful to have some numbers, yes.
Could you compare the time with the \\^ change to the time with the
omake part of compilation-parse-errors commented out entirely?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 7 Jan 2013 02:13:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 21:13:44 2013
Received: from localhost ([127.0.0.1]:33385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ts2Df-0000sP-5k
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2013 21:13:44 -0500
Received: from smtprelay-h11.telenor.se ([62.127.194.4]:53483)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mattiase@HIDDEN>) id 1Ts2Db-0000sA-6V
	for 13369 <at> debbugs.gnu.org; Sun, 06 Jan 2013 21:13:40 -0500
Received: from ipb2.telenor.se (ipb2.telenor.se [195.54.127.165])
	by smtprelay-h11.telenor.se (Postfix) with ESMTP id 4BA494865D;
	Mon,  7 Jan 2013 02:41:22 +0100 (CET)
X-SMTPAUTH-B2: [mategn]
X-SENDER-IP: [85.229.47.157]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AnzzAG4m6lBV5S+dPGdsb2JhbABFgkGBBoEMgSCFALFaAQMBA4ECFgMBAQEBODSCHwEFOAI/EAsOJxFDFAaILrYEkDRhA6lJ
X-Suspected-Spam: Yes
X-IronPort-AV: E=Sophos;i="4.84,421,1355094000"; d="scan'208";a="477465178"
Received: from c-9d2fe555.032-29-73746f10.cust.bredbandsbolaget.se
	([85.229.47.157])
	by ipb2.telenor.se with ESMTP; 07 Jan 2013 02:41:22 +0100
Message-Id: <3FB0B562-759B-4486-90F4-789BF6CEA07F@HIDDEN>
From: =?ISO-8859-1?Q?Mattias_Engdeg=E5rd?= <mattiase@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-Reply-To: <kfk3rpeqej.fsf@HIDDEN>
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v936)
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
Date: Mon, 7 Jan 2013 02:41:21 +0100
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
	<kfk3rpeqej.fsf@HIDDEN>
X-Mailer: Apple Mail (2.936)
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

7 jan 2013 kl. 02.24 skrev Glenn Morris:
> Does making that change remove the slowdown that you see?

Substantially, but not entirely. (I can try measuring it exactly if  
you want it quantified, but it goes from being unusable to merely  
annoyingly sluggish.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at 13369 <at> debbugs.gnu.org:


Received: (at 13369) by debbugs.gnu.org; 7 Jan 2013 01:24:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 20:24:42 2013
Received: from localhost ([127.0.0.1]:33365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ts1SE-00085b-1i
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2013 20:24:42 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:57499 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Ts1SA-00085T-Oq
	for 13369 <at> debbugs.gnu.org; Sun, 06 Jan 2013 20:24:40 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Ts1S8-0006m7-Hs; Sun, 06 Jan 2013 20:24:36 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#13369: 24.1;
	compile message parsing slow because of omake hack
References: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
X-Spook: Area 51 SHA Juiliett Class Submarine AUTODIN radar
X-Ran: O7I5rI-ve8~kkKX]-qyawlC~?ZI^"LQa~4[f!Y9LpuNP^*(m@!wP<=c.ooXl>GbM8}6*Y(
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sun, 06 Jan 2013 20:24:36 -0500
In-Reply-To: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN> ("Mattias
	=?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Sun, 6 Jan 2013 21:03:05
	+0100")
Message-ID: <kfk3rpeqej.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13369
Cc: 13369 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.5 (-----)

Mattias Engdeg=C3=A5rd wrote:

> Parsing compilation messages in compilation-mode can be very slow for
> large buffers (thousands of error lines); it can take many
> seconds. Experiments show that it is the presence of omake in
> compilation-error-regexp-alist that causes most of the trouble; removing
> it mostly cures the problem.
[...]
> one doesn't make sense - shouldn't the ^ (following the \|) be escaped?

Yes, I think so.

Does making that change remove the slowdown that you see?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Jan 2013 20:04:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 15:04:11 2013
Received: from localhost ([127.0.0.1]:48407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TrwS2-0002xi-06
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2013 15:04:10 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46295)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mattiase@HIDDEN>) id 1TrwRl-0002xC-SF
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2013 15:04:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <mattiase@HIDDEN>) id 1TrwRP-0004TJ-Rj
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2013 15:03:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:37871)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <mattiase@HIDDEN>) id 1TrwRP-0004TF-Oh
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2013 15:03:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57652)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <mattiase@HIDDEN>) id 1TrwRM-00026x-SI
	for bug-gnu-emacs@HIDDEN; Sun, 06 Jan 2013 15:03:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <mattiase@HIDDEN>) id 1TrwRJ-0004Su-FU
	for bug-gnu-emacs@HIDDEN; Sun, 06 Jan 2013 15:03:28 -0500
Received: from smtprelay-h31.telenor.se ([213.150.131.4]:40161)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <mattiase@HIDDEN>) id 1TrwRJ-0004Sd-8U
	for bug-gnu-emacs@HIDDEN; Sun, 06 Jan 2013 15:03:25 -0500
Received: from ipb5.telenor.se (ipb5.telenor.se [195.54.127.168])
	by smtprelay-h31.telenor.se (Postfix) with ESMTP id AAD14E9390
	for <bug-gnu-emacs@HIDDEN>; Sun,  6 Jan 2013 21:03:22 +0100 (CET)
X-SMTPAUTH-B2: [mategn]
X-SENDER-IP: [85.229.47.157]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AmTYAF7Y6VBV5S+dPGdsb2JhbABFgkFGQIcsqwGHYRYDAQEBATg0gl0CgWOISJgWnVeMdXeCSGEDqUk
X-IronPort-AV: E=Sophos;i="4.84,420,1355094000"; d="scan'208";a="256820059"
Received: from c-9d2fe555.032-29-73746f10.cust.bredbandsbolaget.se
	([85.229.47.157])
	by ipb5.telenor.se with ESMTP; 06 Jan 2013 21:03:07 +0100
Message-Id: <672E6DB1-196D-491C-BE42-F29CF1C7F1A5@HIDDEN>
From: =?ISO-8859-1?Q?Mattias_Engdeg=E5rd?= <mattiase@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v936)
Subject: 24.1; compile message parsing slow because of omake hack
Date: Sun, 6 Jan 2013 21:03:05 +0100
X-Mailer: Apple Mail (2.936)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

Parsing compilation messages in compilation-mode can be very slow for
large buffers (thousands of error lines); it can take many
seconds. Experiments show that it is the presence of omake in
compilation-error-regexp-alist that causes most of the trouble; removing
it mostly cures the problem.

The omake regexp does not look too troublesome, but there are some
omake-specific hacks in compile.el that are more worrying. In
particular, this code (in compilation-parse-errors) looks suspicious:

       (cond
        ((not (memq 'omake compilation-error-regexp-alist)) nil)
        ((string-match "\\`\\([^^]\\|^\\( \\*\\|\\[\\)\\)" pat)
         nil) ;; Not anchored or anchored but already allows empty  
spaces.
        (t (setq pat (concat "^ *" (substring pat 1)))))

The slightly alarming concept of regexp-matching a regexp aside, this
one doesn't make sense - shouldn't the ^ (following the \|) be escaped?
Apparently the code was at some time changed from

   (when (and (= ?^ (aref pat 0)) ; anchored: starts with "^"
              ;; but does not allow an arbitrary number of leading  
spaces
              (not (and (= ?  (aref pat 1)) (= ?* (aref pat 2)))))

which looks more correct, and conveys the intent somewhat better
(and may be more efficient than the regexp for all I know).

It's not clear to me how the present code could ever have worked.
At the very least the regexp in compilation-parse-errors should
be fixed.

In GNU Emacs 24.1.1 (powerpc-apple-darwin, NS apple-appkit-1038.36)
  of 2012-06-10 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.949





Acknowledgement sent to Mattias Engdegård <mattiase@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13369; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 5 Dec 2017 00:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.